Subject: Re: I-D ACTION:draft-daboo-sieve-include-03.txt (fwd)

From: Alexey Melnikov <[email-masked]>
Date: Sun, 04 Sep 2005 23:02:57 +0100

Aaron Stone wrote:

>On Tue, Aug 30, 2005, ""Nigel Swinson"" <[email-masked]>
>said:  
>
>>>I think we all agree what the term "global variable" means in the 
>>>variables draft.
>>>But if people feel that the term "global variable" might be confusing, we 
>>>can still replace it with something else as an editorial change.
>>>      
>>>
>>Well at the risk of getting hit, I think it would be wise to change it from:
>>
>>   All variables have global scope: they are visible until processing
>>   stops.
>>
>>To:
>>
>>   All variables have file scope: they are visible to the remainder
>>   of the current script. 
>>
>
>As Kjetil pointed out last week, there is only one script, though there
>may be many files included. We should be careful not to confuzzle the two
>words.
>
And considering that the term "file" is not currently used in the 
variables draft, I would rather not introduce a new term just to define 
"scope".

>Also, from the point of view of the variables draft in a vacuum,
>there is only one file, only one script, and only one scope. 
>  
>
Right.

>How about this:
>
>    All variables have global scope within a script. Future specifications
>    may allow for a script to be composed of more than one file,
>
How about replacing "file" with more abstract "part"?
Sieve scripts are not necessarily stored as files.

>    or for
>    running more than one script per message [delivery?].
>
"per delivery" or "per message per recipient" is better, IMHO.
One message can have multiple recipients, all subject to different Sieve 
filters.

> Such
>    specifications may provide for different variable scoping rules.
>  
>